Package org.apache.struts2.conversion.annotations

# Enum Class ConversionRule

java.lang.Object
java.lang.Enum<ConversionRule>
org.apache.struts2.conversion.annotations.ConversionRule

All Implemented Interfaces:
  `Serializable`, `Comparable<ConversionRule>`, `Constable`

public enum ConversionRule extends Enum<ConversionRule>
`ConversionRule`

Version:
  $Id$
Author:
  Rainer Hermanns

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLLECTION`
  `CREATE_IF_NULL`
  `ELEMENT`
  `KEY`
  `KEY_PROPERTY`
  `MAP`
  `PROPERTY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static ConversionRule`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConversionRule[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PROPERTY

    public static final ConversionRule PROPERTY

  - ### COLLECTION

    public static final ConversionRule COLLECTION

  - ### MAP

    public static final ConversionRule MAP

  - ### KEY

    public static final ConversionRule KEY

  - ### KEY_PROPERTY

    public static final ConversionRule KEY_PROPERTY

  - ### ELEMENT

    public static final ConversionRule ELEMENT

  - ### CREATE_IF_NULL

    public static final ConversionRule CREATE_IF_NULL

- ## Method Details

  - ### values

    public static ConversionRule[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConversionRule valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ConversionRule>`